lumiT {lumi} | R Documentation

## Transfer the Illumina data to stabilize the variance

### Description

Transfer the Illumina data to stabilize the variance.

### Usage

    lumiT(x.lumi, method = c("vst", 'log2', 'cubicRoot'), ifPlot = FALSE, stdCorrection = TRUE, simpleOutput = TRUE, verbose = TRUE, ...)

### Arguments

`x.lumi` | LumiBatch object
`method` | four methods are supported: "vst", "log2", "cubicRoot"
`ifPlot` | determine whether to plot the intermediate results
`stdCorrection` | determine transfer the standard error of the mean as the standard deviation, used for 'vst' method.
`simpleOutput` | determine whether to simplify the output LumiBatch object, which will set the se.exprs, detection and beadNum slots as NULL.
`verbose` | a boolean to decide whether to print out some messages
`...` | other parameters used by `vst`

### Details

lumiT is an interface of difference variance stabilizing transformation. See `vst` for details of VST (Variance Stabilizing Transform) of Illumina data.

The adding of the parameter "stdCorrection" is for the value correction of the STDEV (or STDERR) columns when 'vst' method is selected. The STDEV (or STDERR) columns of the BeadStudio output file is the standard error of the mean of the bead intensities corresponding to the same probe. (Thanks Gordon Smyth kindly provided this information.). As the variance stabilization (see `vst` function) requires the information of the standard deviation instead of the standard error of the mean, the value correction is required. The corrected value will be x * sqrt(N), where x is the old value (standard error of the mean), N is the number of beads corresponding to the probe.

### Value

Return a LumiBatch object with transformed expression values. It also includes the VST transform function and its parameters as attributes: "transformFun", "parameter". See `inverseVST` for details.

### Author(s)

Pan Du, Simon Lin

### References

Lin, S.M., Du, P., Kibbe, W.A., (2008) 'Model-based Variance-stabilizing Transformation for Illumina Microarray Data', Nucleic Acids Res. 36, e11

### See Also

`vst`

### Examples

    ## load example data
    data(example.lumi)

    ## Do default VST variance stabilizing transform
    lumi.T <- lumiT(example.lumi, ifPlot=TRUE)

[Package lumi version 1.10.2 Index]